# Eliminar objeto

Para eliminar un objeto en cliente, se debe enviar un DELETE como el que se especifica a continuación.

{% hint style="danger" %}
Recuerde que esta operación no se puede deshacer.
{% endhint %}

<mark style="color:red;">`DELETE`</mark> `https://api.persat.com.ar/v1/clientobjvalue/uid_client/obj_id/field_1`

#### Path Parameters

| Name                                          | Type   | Description                                         |
| --------------------------------------------- | ------ | --------------------------------------------------- |
| uid\_client<mark style="color:red;">\*</mark> | String | Identificador del cliente                           |
| obj\_id<mark style="color:red;">\*</mark>     | Number | Identificador del tipo de objeto. Heladeras por ej. |
| field\_1<mark style="color:red;">\*</mark>    | String | Identificador del elemento a borrar                 |

#### Headers

| Name                                            | Type   | Description     |
| ----------------------------------------------- | ------ | --------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer API\_KEY |

{% tabs %}
{% tab title="200: OK La consulta se ejecutó con éxito" %}

```json
{
    "success": true,
    "data": {
        "uid_client": "AABC9098",
        "obj_id": 2,
        "field_1": "AABCSA090AA"
    }
}
```

{% endtab %}

{% tab title="404: Not Found El objeto a borrar no existe, o el cliente no existe" %}

```json
{
    "success": false,
    "error": {
        "status": 404,
        "type": "NOT_FOUND",
        "userMessage": "No hay un cliente con este nro."
    }
}
```

{% endtab %}

{% tab title="400: Bad Request Error en alguno de los campos enviados. userMessage contiene informacipon adicional." %}

```javascript
{
    "success": false,
    "error": {
        "status": 400,
        "type": "BAD_REQUEST",
        "userMessage": "'obj_id' es un number (entero) obligatorio"
    }
}
```

{% endtab %}
{% endtabs %}

### Analizando la Respuesta

En caso que no haya ningun error, obtenemos los datos de identificación del objeto borrado

```json
{
    "success": true,
    "data": {
        "uid_client": "AABC9098",
        "obj_id": 2,
        "field_1": "AABCSA090AA"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.persat.com.ar/entidades-basicas/objetos-en-cliente/eliminar-objeto.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
